Subject: Re: bug#65029: Italics bug when Emacs runs inside GNU Screen

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Aug 2023 13:40:14 +0300

> Date: Sat, 19 Aug 2023 09:36:08 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked]
> 
> 
> >
> > Ping! Ping!  I'd like to resolve this issue in Emacs 29.2, if possible. 
> > Please help me by providing the information I asked below.
> >
> 
> $ TERM=xterm infocmp -1 | grep -E 'ritm|sitm'
>          ritm=\E[23m,
>          sitm=\E[3m,
> $ TERM=screen infocmp -1 | grep -E 'ritm|sitm'
> $ TERM=tmux infocmp -1 | grep -E 'ritm|sitm'
>          ritm=\E[23m,
>          sitm=\E[3m,

Thanks.

This says AFAIU that screen doesn't support italics?  In which case it
contradicts what James said:

 > GNU Screen added italics support on its master branch a while ago
 > [1]. If I run Emacs (29.1) inside GNU Screen (master), there are strange
 > font issues.

Maybe that change is not yet distributed in the version of screen you
have installed, Gregory?